Cygport Reference Manual

### TABLE OF CONTENTS

- xfce4.cygclass

- HOMEPAGE (xfce4)
- SRC_URI (xfce4)
- GIT_URI (xfce4)
- xfce4_autoreconf
- xfce4_compile
- src_compile (xfce4)

## xfce4.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit xfce4

DESCRIPTION

Xfce is a desktop environment for X which is lighter and faster than GNOME or KDE but has more features than most lightweight DEs. The project provides desktop components and some basic applications which are built on a few libraries which are based on GLib and GTK+.

This cygclass handles the building of Xfce 4.x packages.

INHERITS

autotools.cygclass

## HOMEPAGE (xfce4)

[ Top ] [ xfce4.cygclass ] [ Overloads ]

DEFINITION

    HOMEPAGE="https://www.xfce.org/"

## SRC_URI (xfce4)

[ Top ] [ xfce4.cygclass ] [ Overloads ]

DESCRIPTION

Download location of the release tarball.

## GIT_URI (xfce4)

[ Top ] [ xfce4.cygclass ] [ Overloads ]

DESCRIPTION

Git repository for the package.

NOTE

git.cygclass should be inherit()ed last for this to be of use.

## xfce4_autoreconf

[ Top ] [ xfce4.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $S
      xfce4_autoreconf

DESCRIPTION

Updates the build system with xdt-autogen.

WARNING

Skipping this step is strongly discouraged. Patches to configure.ac, aclocal macros, or Makefile.am files will not take effect until their tools have been regenerated. Also, Cygwin's libtool package often includes patches which are not yet available in the latest upstream release, so libraries may not be built optimally, or even correctly, without this step having been run. The same applies for some of the other build tools as well.

REQUIRES

autoconf, automake, gtk-doc, intltool, libglib2.0-devel, libtool, pkg-config, xfce4-dev-tools

SEE ALSO

cygautoreconf, gnome2_autoreconf

## xfce4_compile

[ Top ] [ xfce4.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      xfce4_compile [CONFIGURE_FLAGS]

DESCRIPTION

Calls cygconf with the following options, followed by cygmake:

- --disable-visibility: Cygwin does not support ELF visibility attributes

All arguments to xfce4_compile are passed to cygconf as configure flags.

## src_compile (xfce4)

[ Top ] [ xfce4.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${S}
            xfce4_autoreconf
            cd ${B}
            xfce4_compile
    }